import QtQuick 2.4

Item {
    property int   sourceWidth
    property int   sourceHeight
    property alias sourceImage       : spriteSheet.source
    property alias extractionRect    : shaderEffectSource.sourceRect

    implicitWidth  : shaderEffectSource.width
    implicitHeight : shaderEffectSource.height

    Image {
        id : spriteSheet

        width : sourceWidth
        height : sourceHeight
        sourceSize {
            width : sourceWidth
            height : sourceHeight
        }
    }
    ShaderEffectSource {
        id : shaderEffectSource

        width  : extractionRect.width
        height : extractionRect.height
        sourceItem: spriteSheet
        hideSource : true
    }

}
