//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.2

import wesual.Controls 1.0
import wesual.Showcase 1.0

ShowcaseArea {
    id : template

    width  : 1080
    height : 1920

    states : State {
        name : "landscape"
        when : template.displayOrientation === DisplayDevice.Landscape

        PropertyChanges {
            target : template

            width : 1920
            height : 1080
        }
    }

    Behavior on displayOrientation {
        SequentialAnimation {
            PropertyAnimation {
                target : template
                property : "opacity"
                to : 0.0
                duration : 500
            }
            PropertyAction {
                target : template
                property : "displayOrientation"
            }
            PropertyAnimation {
                target : template
                property : "opacity"
                to : 1.0
                duration : 500
            }
        }
    }
}
