//
// (c) 2020 wesolutions GmbH
// All rights reserved
//

import QtQuick 2.3

import wesual.Showcase 1.0
import wesual.Controls 1.0

import wesual.data.Core 1.0

ToolButton {
    id : addImageButton

    property Document document
    property alias    selectMultiple : pickerMenu.selectMultiple

    // -------------------------------------------------------------------------
    // DEPRECATED !!!!
    signal imagePicked (ImageAsset image)
    // -------------------------------------------------------------------------
    signal imagesPicked(var images)

    action : Action {
        iconName : "add"
        text : qsTrId("button.AddImage")
        onTriggered : {
            if(!pickerMenu.popupVisible)
                pickerMenu.show();
        }
    }

    down : pickerMenu.popupVisible

    ImageSourcePicker {
        id : pickerMenu

        anchors.top : parent.bottom
        selectMultiple : false

        document : addImageButton.document
        onResultingImages : {
            if(!addImageButton.selectMultiple && images.length)
               return addImageButton.imagePicked(images[0]);

            addImageButton.imagesPicked(images);
        }
    }
}
