//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick      2.4
import QtQml        2.2
import QtMultimedia 5.4

import wesual.Showcase 1.0

Connections {
    property Item               videoOutput
    property VideoConfiguration configuration
    property bool               takingThumb : false
    property bool               playing     : true

    target : videoOutput.source

    onPositionChanged : {
        if (!takingThumb)
            return;

        if (videoOutput.source.position > 1000 && playing) {
              videoOutput.source.pause();
              playing = false;
              videoOutput.grabToImage(function(result) {
                  var loc =  Editor.standardPath(Editor.TempLocation) + "/"
                          + configuration.asset.fileName + ".jpg";

                  if (result.saveToFile(loc)) {
                      configuration.asset.setPoster(loc);
                  }
                  videoOutput.source.play();
                  playing = true;
              }, configuration.asset.resolution);
        }
    }
}
