//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.2

import wesual.Showcase 1.0
import wesual.Controls 1.0

Item {
    id : selectionIndicator

    property InlineEditor editor : parent

    property int   distance    : 3
    property int   frameWidth  : 1
    property color fillColor   : "white"
    property real  fillOpacity : 0.5

    anchors.centerIn : parent
    width : parent.width + Math.round((distance * 2) * counterScale)
    height : parent.height + Math.round((distance * 2) * counterScale)
    z : -1
    visible : editor.editMode

    opacity : {
        if (editor.isActive) {
            return .8;
        } else if (editor.containsMouse) {
            return .4;
        } else {
            return 0.0;
        }
    }

    Behavior on opacity {
        NumberAnimation { duration : 100 }
    }

    Rectangle {
        anchors.fill : parent
        color : fillColor
        opacity : fillOpacity
    }

    Frame {
        anchors.fill : parent
        opacity : parent.opacity

        frameWidth : selectionIndicator.frameWidth
    }
}
