//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3
import QtGraphicalEffects 1.0

import wesual.Showcase 1.0
import wesual.data.Core 1.0
import wesual.Controls 1.0

SidebarItem {
    id : editor

    panel : SidebarItem.LeftFixedPanel
    width : colorSchemePicker.width
    height : childrenRect.height
    active : colorSchemes.length > 1

    property alias colorSchemeIndex : colorSchemePicker.colorSchemeIndex
    property alias colorSchemes : colorSchemePicker.colorSchemes

    Label {
        id : title

        width : parent.width
        lineHeight : 12
        lineHeightMode : Text.FixedHeight
        text : qsTrId("label.SideBar.Style")
    }

    ColorSchemePicker {
        id : colorSchemePicker

        height : 32

        anchors.top : title.baseline
        anchors.topMargin : 9
    }
}

