//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3

import wesual.Showcase 1.0
import wesual.Controls 1.0

SidebarItem {
    property ImageListConfiguration imageList

    height : 40

    Row {
        anchors {
            verticalCenter : parent.verticalCenter
            left : parent.left
        }
        spacing : 6

        ToolButton {
            width : 28
            height : 28
            anchors.verticalCenter : parent.verticalCenter
            showLabel : false
            color : UI.color(UI.PrimaryBase)
            action : Action {
                iconSource : "qrc:/showcase/icons/prev.png"
                onTriggered : {
                    if (imageList)
                        imageList.navigateBack();
                }
            }
        }

        Text {
            anchors.verticalCenter : parent.verticalCenter

            text : {
                if (!imageList)
                    return "";

                return (imageList.currentIndex + 1) + "/" +
                        imageList.images.length;
            }
            font.family : UI.fontFamily(UI.SecondaryFont)
            font.weight : UI.fontWeight(UI.SecondaryFont)
            font.pixelSize : 14
        }

        ToolButton {
            width : 28
            height : 28
            anchors.verticalCenter : parent.verticalCenter
            showLabel : false
            color : UI.color(UI.PrimaryBase)
            action : Action {
                iconSource : "qrc:/showcase/icons/next.png"
                onTriggered : {
                    if (imageList)
                        imageList.navigateForward();
                }
            }
        }
    }
}
