//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3

import wesual.Showcase 1.0
import wesual.Controls 1.0

SidebarItem {
    height : 26
    width : parent.width
    active : true

    property alias text : label.text
    property bool  centerLabel : false

    property int topMargin : 0


    Text {
        id : label
        height : 14

        font.family : UI.fontFamily(UI.SecondaryFont)
        font.weight : UI.fontWeight(UI.SecondaryFont)
        font.capitalization : Font.AllUppercase
        font.pixelSize : 13
        color : UI.color(UI.SecondaryTextColor)
        elide : Text.ElideRight

        anchors.verticalCenter : centerLabel ? parent.verticalCenter : undefined
        anchors.verticalCenterOffset : centerLabel ? -2 + topMargin : topMargin
    }

    SeparationLine {
        anchors.bottom : parent.bottom
        width : parent.width
        primary : false
    }
}
