//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3
import QtQuick.Dialogs  1.1
import QtQuick.Layouts  1.1

import wesual.Controls          1.0
import wesual.Showcase          1.0
import wesual.data.Core         1.0

SidebarItem {
    id : editor

    width : parent ? parent.width : 100
    height : childrenRect.height//grid.height

    property alias logoIndex : logoPicker.logoIndex
    property alias logos : logoPicker.logos

    property alias logoSizes : logoSizeCombobox.items
    property IntegerConfiguration logoSizeIndex

    property alias positions : positionCombobox.items
    property alias positionIndex : positionCombobox.currentIndex


    // prevent deselection of the current product on click outside of controls
    MouseArea {
        id : stealClickFromEditor

        anchors.fill : parent

        onClicked : {}
    }

    GridLayout {
        id : grid

        columns : 2

        width : parent.width

        Item {
            height : logoPicker.height

            Label {
                text : qsTrId("label.LogoVariant")

                anchors.top : parent.top
                anchors.topMargin : 4

                Layout.maximumWidth : grid.width / 3
            }
        }

        LogoPicker {
            id : logoPicker
        }

        Label {
            text : qsTrId("label.LogoSize")

            Layout.maximumWidth : grid.width / 3
        }

        ComboBox {
            id : logoSizeCombobox
            subtle : true

            currentIndex : logoSizeIndex.value
        }

        Connections {
            target : logoSizeIndex

            onValueChanged : {
                logoSizeCombobox.currentIndex = logoSizeIndex.value;
            }
        }

        Connections {
            target : logoSizeCombobox

            onCurrentIndexChanged : {
                logoSizeIndex.beginRecordChanges();
                logoSizeIndex.value = logoSizeCombobox.currentIndex;
                logoSizeIndex.endRecordChanges();
            }
        }

        Label {
            text : qsTrId("label.LogoPosition")

            Layout.maximumWidth : grid.width / 3
        }

        ComboBox {
            id : positionCombobox
            subtle : true
        }
    }

    Rectangle {
        anchors.top : grid.bottom
        anchors.topMargin : 9

        height : 1
        width  : parent.width
        color  : UI.color(UI.SecondarySeparationLine)
    }
}
