//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3
import QtGraphicalEffects 1.0

import QtQuick.Controls 1.3

import wesual.Showcase 1.0
import wesual.data.Core 1.0
import wesual.Controls 1.0

SidebarItem {
    id : editor

    panel : SidebarItem.LeftFixedPanel
    width : logoPicker.width
    height : childrenRect.height
    active : true

    property alias logoIndex : logoPicker.logoIndex
    property alias logos : logoPicker.logos

    property IntegerConfiguration logoScaleFactor

    Binding {
        target : logoScaleFactor
        property : "value"
        value : scaleFactor.value
    }

    Label {
        id : title

        width : parent.width

        text : qsTrId("label.SidebarLogo")
    }

    Row {
        anchors.top : title.baseline
        anchors.topMargin : 12

        height : 32

        spacing : 10

        LogoPicker {
            id : logoPicker
        }

        SpinBox {
            id : scaleFactor

            anchors.verticalCenter : parent.verticalCenter

            value : logoScaleFactor.value

            minimumValue : 0
            maximumValue : 300
            stepSize : 10
        }
    }
}

