//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.3

import wesual.Showcase 1.0
import wesual.Ui       1.0
import wesual.Controls 1.0

SidebarItem {
    id : navigator

    property int currentIndex : 0
    property int count : 0

    signal forward()
    signal back()

    height : 40
    enabled : count > 0
    width : parent.width

    Row {
        anchors {
            verticalCenter : parent.verticalCenter
            left : parent.left
        }
        spacing : 6

        UiToolButton {
            anchors.verticalCenter : parent.verticalCenter
            style     : Ui.IconOnly
            iconName  : "previous"
            onClicked : navigator.back()
        }

        UiText {
            anchors.verticalCenter : parent.verticalCenter

            readonly property int page :
                navigator.count > 0 ? navigator.currentIndex + 1 : 0

            text : {
                return page + "/" + navigator.count;
            }
        }

        UiToolButton {
            anchors.verticalCenter : parent.verticalCenter
            style     : Ui.IconOnly
            iconName  : "next"
            onClicked : navigator.forward()
        }
    }
    SeparationLine {
        anchors.bottom : parent.bottom
        width : parent.width
        primary : false
    }
}
