//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.2

import wesual.Showcase 1.0
import wesual.Controls 1.0

import wesual.data.Core 1.0

InlineEditor {
    id : textBox

    property alias document            : text.document
    property alias property            : text.property
    property alias font                : text.font
    property alias horizontalAlignment : text.horizontalAlignment
    property alias multiline           : text.multiline
    property alias color               : text.color
    property alias lineHeight          : text.lineHeight
    property alias lineHeightMode      : text.lineHeightMode
    property alias maximumLineCount    : text.maximumLineCount
    property alias wrapMode            : text.wrapMode
    property alias preventStealing     : text.preventStealing
    property alias renderType          : text.renderType
    property alias placeholderText     : text.placeholderText

    implicitWidth  : text.implicitWidth
    implicitHeight : text.implicitHeight
    baselineOffset : text.baselineOffset

    StringEditor {
        id             : text
        background     : Item {}
        cursorDelegate : cursorDelegateComponent
        width          : textBox.width
        onActiveFocusChanged : {
            if (activeFocus) {
                textBox.makeActive();
            }
        }
    }

    Component {
        id : cursorDelegateComponent

        Rectangle {
            id : cursor

            width : 2 * counterScale
            color : text ? text.color : "black"

            // Cursor blink timer
            Timer {
                running : true
                interval : 600
                repeat : true
                onTriggered : cursor.opacity = Math.abs(cursor.opacity - 1.0)
            }
        }
    }

    editor : Frame {
        anchors.fill : textBox
        anchors.margins : -2

        color : text.color

        opacity : {
            if (textBox.isActive && text.activeFocus) {
                return 1;
            } else if (textBox.containsMouse) {
                return .5;
            } else {
                return 0;
            }
        }
    }
}
