//
// (c) 2020 wesolutions GmbH
// All rights reserved
//

import QtQuick 2.12

import wesual.Ui 1.0

import wesual.Ui.Private 1.0

UiDelegateBase {
    id : delegate

    implicitWidth  : 100
    implicitHeight : 100

    states : [
        State {
            name : "disabled"
            when : !enabled && active

            PropertyChanges {
                target  : delegate
                __color : UiColors.getColor(UiColors.DisabledLightGrey17)
            }
        },
        State {
            name : "defocused"
            when : delegate.active && delegate.defocused

            PropertyChanges {
                target  : delegate
                __color : UiColors.getColor(UiColors.InactiveSelectionGreen)
            }
        },
        State {
            name : "pressed"
            when : delegate.pressed || delegate.active

            PropertyChanges {
                target  : delegate
                __color : UiColors.getColor(UiColors.SelectionGreen)
            }
        },
        State {
            name : "hovered"
            when : delegate.hovered

            PropertyChanges {
                target  : delegate
                __color : UiColors.getColor(UiColors.HoverGreen)
            }
        }
    ]

    transitions : Transition {
        ColorAnimation {
            property : "__color"
            duration : 100
        }
    }
}
