//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.12

import wesual.Ui 1.0

Text {
    id : uiText

    property bool highlight : false

    font     : UiFonts.getFont(UiFonts.Light, 14)
    color    : UiColors.getColor(UiColors.DarkGrey80)
    elide    : Text.ElideRight
    wrapMode : Text.NoWrap

    states : [
        State {
            name : "disabled"
            when : !uiText.enabled

            PropertyChanges {
                target : uiText
                color  : UiColors.getColor(UiColors.MediumLightGrey27)
            }
        },
        State {
            name : "highlight"
            when : uiText.highlight

            PropertyChanges {
                target : uiText
                color  : UiColors.getColor(UiColors.White)
            }
        }
    ]
}

