//
// (c) 2020 wesolutions GmbH
// All rights reserved.
//

import QtQuick 2.12

import wesual.Ui 1.0

import "private"

/*!
\qmltype     UiTextEdit
\inqmlmodule we.captivo.Ui
\since       we.captivo.Ui 1.0
\inherits    UiTextEditBase
\ingroup     captivo-ui-controls

\brief An editor for multi-line text.

The UiTextEdit provides an edit control to edit multiple lines of
plain text.
*/

UiTextEditBase {
    id : uiTextEdit

    horizontalMargin : 6
    verticalMargin   : 4

    Rectangle {
        id : background

        anchors.fill : parent
        color : UiColors.getColor(UiColors.White)
        border {
            width : 1
            color : UiColors.getColor(UiColors.ControlGrey20)
        }
        z : -1

        states : [
            State {
                name : "disabled"
                when : !uiTextEdit.enabled

                PropertyChanges {
                    target : background
                    border.color : UiColors.getColor(UiColors.DisabledLightGrey13)
                }
            },
            State {
                name : "focus"
                when : uiTextEdit.activeFocus

                PropertyChanges {
                    target : background
                    border.color : UiColors.getColor(UiColors.SelectionGreen)
                }
            },
            State {
                name : "hover"
                when : uiTextEdit.hover

                PropertyChanges {
                    target : background
                    border.color : UiColors.getColor(UiColors.HoverGreen)
                }
            }
        ]
    }
}
